Results 1 to 4 of 4

Thread: libmysqld-dev disappeared from 19.*

  1. #1
    Join Date
    Apr 2006
    Location
    Sydney, Australia
    Beans
    262
    Distro
    Ubuntu Kylin 19.10 Eoan Ermine

    libmysqld-dev disappeared from 19.*

    The libmysqld-dev package is part of 18.*, but seems to have disappeared from 19.*

    I'd appreciate any hints as to what the packages was replaced with
    Thanks

  2. #2
    Join Date
    Oct 2004
    Location
    33.4N -112.1W
    Beans
    2,396
    Distro
    Ubuntu Budgie

    Re: libmysqld-dev disappeared from 19.*

    That package is deprecated from Eoan with the migration from mysql-5.7 to version 8.0.
    /path/to/Truth

  3. #3
    Join Date
    Apr 2006
    Location
    Sydney, Australia
    Beans
    262
    Distro
    Ubuntu Kylin 19.10 Eoan Ermine

    Re: libmysqld-dev disappeared from 19.*

    Do you know where that package content moved to in V 8.0

  4. #4
    Join Date
    Oct 2004
    Location
    33.4N -112.1W
    Beans
    2,396
    Distro
    Ubuntu Budgie

    Re: libmysqld-dev disappeared from 19.*

    There is not a drop-in replacement package from your prior installation.

    For example the libmysqlclient-dev package in Eoan has the libmysqlservices.a file from the deprecated libmysqld-dev package but it's location has changed from /usr/lib/x86_64-linux-gnu/libmysqld.a to /usr/lib/s390x-linux-gnu/libmysqlservices.a. But it is completely missing the libmysqld.a file from libmysqld-dev.
    /path/to/Truth

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •